For Developers
Get Student Day Attendance Interval
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/student_day_attendance_intervals/:student_day_attendance_interval_id
Retrieve information about a specific Student Day Attendance Interval.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
student_day_attendance_interval_id | url | string | The UUID of the desired Student Day Attendance Interval. |
Sample Request
axios.get('https://ed.link/api/v2/graph/student_day_attendance_intervals/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"student_day_attendance_id": "00000000-0000-0000-0000-000000000001",
"start_date": "2021-05-01T10:00:00.000Z",
"end_date": "2021-05-01T10:30:00.500Z",
"seconds": 1800.5
},
"$request": "00000000-0000-0000-0000-000000000000"
}